Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum AbstractFocus.Mode

    java.lang.Object
      java.lang.Enum<AbstractFocus.Mode>
          org.richfaces.component.AbstractFocus.Mode

All Implemented Interfaces:
  Serializable, Comparable<AbstractFocus.Mode>

Enclosing class:
  AbstractFocus

    public static enum AbstractFocus.Mode

extends Enum<AbstractFocus.Mode>

Enum Constant Summary
`FORM` In this mode, focus is processed every time form is submitted.
`VIEW` This mode brings focus functionality to all forms in a view.

Method Summary
`static AbstractFocus.Mode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AbstractFocus.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FORM

    public static final AbstractFocus.Mode FORM

  In this mode, focus is processed every time form is submitted. There can be only one focus of this type per form.

### VIEW

    public static final AbstractFocus.Mode VIEW

  This mode brings focus functionality to all forms in a view. The view focus settings can be overridden for each specific form by using {`FORM` mode.

Method Detail

### values

    public static AbstractFocus.Mode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AbstractFocus.Mode c : AbstractFocus.Mode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AbstractFocus.Mode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.